#!/bin/sh

TEMP_LIST="/tmp/update_year.lst"
NOW_YEAR=`date '+%Y'`

find -type f | grep -v ".git" | grep -v "DOCS/" | grep -v "img/" | grep -v "$0" | grep -v ".png$" | grep -v ".jpg$" > ${TEMP_LIST}

while read entry
do
	echo "entry=${entry}"
	sed -i "s/2015 by Mailer/${NOW_YEAR} by Mailer/g" "${entry}"
done < ${TEMP_LIST}

rm -f ${TEMP_LIST}
exit 0
