<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 01/03/2013 *
 * ===================                          Last change: 01/03/2013 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : api.php                                          *
 * -------------------------------------------------------------------- *
 * Short description : Generic API script                               *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Allgemeines API-Script                           *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2016 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// XDEBUG call
//* DEBUG: */ xdebug_start_trace();

// Load security system
require('inc/libs/security_functions.php');

// Init start time
$GLOBALS['__start_time'] = microtime(TRUE);

/*
 * Set output to "AJAX mode", proper module and prevent HTML headers/footers
 * being sent.
 */
$GLOBALS['__output_mode'] = -2;
$GLOBALS['__module']      = 'api';
$GLOBALS['__header_sent'] = 2;
$GLOBALS['__footer_sent'] = 2;

// Temporary set HTTP 404 here. This will be removed once this stuff is ready.
setHttpStatus('404 Not Found');

// Load config file
require('inc/config-global.php');

// Load special API library
//loadIncludeOnce('inc/api-functions.php');

// Init API request (including HTTP status code)
//initApi();

// Load header here
loadPageHeader();

// @TODO Do stuff here

// Footer
loadPageFooter();

// [EOF]
?>
