<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 01/10/2013 *
 * ===================                          Last change: 01/10/2013 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : doubler_filter.php                               *
 * -------------------------------------------------------------------- *
 * Short description : Filters for ext-doubler                          *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Filter fuer ext-doubler                          *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2016 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Filter to add exclusion SQL for configured userid
function FILTER_EXLCUDE_DOUBLER_USERID ($filterData = array()) {
	// Is it valid?
	if (isValidId(getDoublerUserid())) {
		// Exclude it
		array_push($filterData, '{?doubler_userid?}');
	} // END - if

	// Return it
	return $filterData;
}

// [EOF]
?>
